* {
    box-sizing: border-box;
}

body {
    margin: 0;
    background: #f5f5f5;
    font-family: system-ui, sans-serif;
}

#layout-content {
    height: unset;
}

#layout-footer footer {
    background: #a76c79e0;
}

#layout-footer h2 {
    margin: auto;
    padding: 2rem;
}

.gallery {
    column-width: 300px;
    column-gap: 8px;
    padding: 72px 10px 10px;
}

.gallery-item {
    overflow: hidden;
    border-radius: 5px;
    break-inside: avoid;
    margin-bottom: 10px;
    cursor: pointer;

    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.08);
}

.gallery-item img {
    width: 100%;
    display: block;

    transition: transform .25s ease,
    filter .25s ease;
}

.gallery-item:hover img {
    transform: scale(1.03);
    filter: brightness(1.03);
}

/* Lightbox */

.lightbox {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, .92);

    display: none;
    justify-content: center;
    align-items: center;

    z-index: 9999;
}

.lightbox.open {
    display: flex;
}

.lightbox-image {
    max-width: 90vw;
    max-height: 90vh;
    object-fit: contain;
}

.close {
    position: absolute;
    top: 20px;
    right: 30px;

    border: none;
    background: none;
    color: white;

    font-size: 3rem;
    cursor: pointer;
}

.nav {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);

    border: none;
    background: rgba(255, 255, 255, .15);

    color: white;

    width: 60px;
    height: 60px;

    border-radius: 50%;
    cursor: pointer;

    font-size: 2rem;
}

.prev {
    left: 24px;
}

.next {
    right: 24px;
}

.nav:hover {
    background: rgba(255, 255, 255, .3);
}
